/**
 * @copyright Sister Software. All rights reserved.
 * @author Teffen Ellis, et al.
 * @license
 * See LICENSE file in the project root for full license information.
 */
/**
 * @internal
 */
export const _rewriteImportPath = ({ importPath, sourceFilePath, rewriter }) => {
  if (typeof rewriter === 'function') {
    const newImportPath = rewriter(importPath, sourceFilePath)
    if (newImportPath) {
      return newImportPath
    }
    return importPath
  }
  for (const [alias, patternOrRewriter] of Object.entries(rewriter)) {
    if (typeof patternOrRewriter === 'function') {
      const newImportPath = patternOrRewriter(importPath, sourceFilePath)
      if (newImportPath) {
        return newImportPath
      }
      return importPath
    }
    if (patternOrRewriter.test(importPath)) {
      return importPath.replace(patternOrRewriter, alias)
    }
  }
  return importPath
}
//# sourceMappingURL=common.mjs.map
